# Retrive Carrier List

This operation retrieves a list of carriers associated with the specific location/s.

Endpoint: POST /api/v1/carriers
Version: 1.0.0
Security: bearerAuth

## Query parameters:

  - `size` (integer)
    The number of results to return in a single page of the carrier list.

  - `page` (integer)
    The page number to retrieve.

  - `barcodeAware` (boolean)
    Indicates whether to retrieve carriers that are barcode-aware. When set to `true`, the response includes only those carriers capable of processing barcodes.

## Response 201 fields (application/json):

  - `carriers` (array)
    List of carriers.

  - `carriers.carrierId` (string)
    The unique identifier for the carrier.
    Example: XXXX

  - `carriers.name` (string)
    The name of the carrier.
    Example: Amazon

  - `carriers.barcodeAware` (boolean)
    If the carrier is barcode-aware.
    Example: true

  - `carriers.isCustom` (boolean)
    If the carrier is a custom carrier.
    Example: false

  - `recentCarriers` (array)
    List of recent carriers

  - `recentCarriers.name` (string)
    Carrier name

  - `recentCarriers.carrierId` (string)
    Carrier ID

  - `totalCount` (integer)
    Total count of carriers.

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Asset not found.

  - `errors.additionalCode` (string)
    A unique identifier for the error
    Example: 020005

  - `errors.additionalInfo` (string)
    additional information of the error.
    Example: additional information

  - `errors.additionalParameters` (string)
    The field(s) that might be incorrect in the request.
    Example: additional parameters

  - `errors.correlationID` (string)
    Example: correlationId

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

